Name:    upm
Version: 2.0.0
Release: 1%{?dist}
Summary: A high level library for sensors and actuators
License: MIT
URL:     https://projects.eclipse.org/projects/iot.upm/

Source0: https://github.com/intel-iot-devkit/upm/archive/v%{version}.tar.gz#/%{name}-%{version}.tar.gz

# To quote "Only x86, arm and mock platforms currently supported"
ExcludeArch:   %{power64} s390x

BuildRequires: cmake
BuildRequires: gcc gcc-c++
BuildRequires: libjpeg-turbo-devel
BuildRequires: mraa-devel
BuildRequires: nodejs-devel nodejs-packaging nodejs-mraa
BuildRequires: python3-devel python3-setuptools python3-mraa
BuildRequires: swig
BuildRequires: doxygen graphviz sphinx

%description
UPM is a high level repository that provides software drivers for a wide variety 
of commonly used sensors and actuators. These software drivers interact with the 
underlying hardware platform through calls to MRAA APIs.

%package devel
Summary: Development package for %{name}
Requires: %{name}%{?_isa} = %{version}-%{release}
Requires: libjpeg-turbo-devel
Requires: mraa-devel

%description devel
Files for development with %{name}.

%package -n python3-upm
Summary: Python3 bindings for sensors and actuators
License: GPLv2+
%{?python_provide:%python_provide python3-upm}
Requires: %{name}%{?_isa} = %{version}-%{release}
Requires: python3-mraa

%description -n python3-upm
Python3 bindings for sensors and actuators

%package -n nodejs-upm
Summary: NodeJS package for sensors and actuators
License: GPLv2+
Requires: %{name}%{?_isa} = %{version}-%{release}
Requires: nodejs-mraa

%description -n nodejs-upm
NodeJS bindings for sensors and actuators

%prep
%autosetup -p1

find . -name \*.cxx -exec chmod -x {} \;

%build
if [ "%{_libdir}" = "%{_prefix}/lib64" ]; then
  %cmake -DCMAKE_INSTALL_PREFIX:PATH=/usr -DCMAKE_SKIP_RPATH=ON -DUSE_LIB64:BOOL=ON -DVERSION:STRING=%{version} .
else
  %cmake -DCMAKE_INSTALL_PREFIX:PATH=/usr -DCMAKE_SKIP_RPATH=ON -DUSE_LIB64:BOOL=OFF -DVERSION:STRING=%{version} .
fi

%make_build

%install
%make_install

rm -f %{buildroot}/%{_includedir}/upm/upm_utilities.hpp

# Symlink nodejs dependencies
%nodejs_symlink_deps

%ldconfig_scriptlets

%files
%license LICENSE
%doc README.md
%{_libdir}/lib%{name}*.so.*

%files devel
%{_includedir}/upm/
%{_datadir}/upm/
%{_libdir}/pkgconfig/%{name}*.pc
%{_libdir}/lib%{name}*.so

%files -n python3-upm
%{python3_sitearch}/upm/

%files -n nodejs-upm
%{nodejs_sitelib}/jsupm_*/

%changelog
* Thu May 30 2019 Peter Robinson <pbrobinson@fedoraproject.org> 2.0.0-1
- New upstream 2.0.0 release

* Sun Feb 03 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.7.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Sun Oct 14 2018 Peter Robinson <pbrobinson@fedoraproject.org> 1.7.1-1
- New upstream 1.7.1 release
- Minor cleanups

* Mon Sep 10 2018 Peter Robinson <pbrobinson@fedoraproject.org> 1.7.0-2
- Add nodejs-mraa dep for nodejs-upm sub package

* Sun Sep  9 2018 Peter Robinson <pbrobinson@fedoraproject.org> 1.7.0-1
- New upstream 1.7.0 release

* Thu Oct 12 2017 Peter Robinson <pbrobinson@fedoraproject.org> 1.5.0-1
- New upstream 1.5.0 release

* Tue May 16 2017 Peter Robinson <pbrobinson@fedoraproject.org> 1.3.0-1
- Initial package
